# draugr.writers.mixins.spectrogram_writer_mixin.SpectrogramWriterMixin

class draugr.writers.mixins.spectrogram_writer_mixin.SpectrogramWriterMixin

  Bases: `ABC`

  Writer mixin that provides an interface for ‘writing’ spectrogram charts

  __init__()

  Methods

  `__init__`() |

  `spectrogram`(tag, values, sample_rate, step)

  param values

  abstract spectrogram(tag: str, values: list, sample_rate: int, step: int, num_fft: int = 512, x_labels: Optional [ Sequence ] = None, y_label: str = 'Magnitude', x_label: str = 'Sequence', plot_kws: Optional [ Mapping ] = None, **kwargs) → None

    > param values

    > param sample_rate

    > param num_fft

    > param x_labels

    > param y_label

    > param x_label

    > param plot_kws

    Parameters

      - tag –

      - step –

      - kwargs –